Building out CN development VM resulted in errors from tomcat
Description

I have been able to build and run a cn VM with Ubuntu 9.10 64bit server following Dave’s instructions (excludes mercury).  However,

I noticed a lot of errors in the syslog file:

Feb 26 10:34:56 ubuntu jsvc.execr1231: Feb 26, 2010 10:34:56 AM java.util.prefs.FileSystemPreferences$2 run#893WARNING:

Couldn't create user preferences directory. User preferences are unusable.#893Feb 26, 2010 10:34:56 AM

java.util.prefs.FileSystemPreferences$2 run#893WARNING: java.io.IOException: No such file or directory

Feb 26 10:35:02 ubuntu jsvc.execr1231: knb 20100226-10:35:02: [WARN]: I/O error finding backup location: Could not create

directory: /usr/share/tomcat6/.knb [edu.ucsb.nceas.metacat.util.SystemUtil]

Feb 26 11:05:28 ubuntu jsvc.execr1231: Feb 26, 2010 11:05:28 AM java.util.prefs.FileSystemPreferences

checkLockFile0ErrorCode#893WARNING: Could not lock User prefs.  Unix error code 2.#893Feb 26, 2010 11:05:28 AM

java.util.prefs.FileSystemPreferences syncWorld#893WARNING: Couldn't flush user prefs: java.util.prefs.BackingStoreException:

Couldn't get file lock.

I went through and change groups and owner to tomcat6 (chown –R tomcat6.tomcat6 ) on several different directories:

/var/metacat

/var/lib/tomcat6

/usr/share/tomcat6

Doing that seems to have cleared the above errors. 

These changes will need to be made to the deployment script

History

#1 - 2010-03-01 20:33 - Dave Vieglais

I can verify that the "Couldn't get file lock" messages are appearing in my log:

Feb 4, 2010 10:26:02 PM java.util.prefs.FileSystemPreferences syncWorld

WARNING: Couldn't flush user prefs: java.util.prefs.BackingStoreException: Couldn't get file lock.

but the application (/knb) operates as expected.  The other warnings did not appear in my logs.  Permissions on the folders mentioned on my system:

ls -la /var/metacat/

total 12

drwxr-xr-x  3 tomcat6 root    4096 2010-02-04 10:18 .

drwxr-xr-x 17 root    root    4096 2010-02-04 10:18 ..

drwxr-xr-x  2 tomcat6 tomcat6 4096 2010-02-04 15:11 .knb

ls -la /var/lib/tomcat6

total 12

drwxr-xr-x  3 root root    4096 2010-02-04 10:15 .

drwxr-xr-x 34 root root    4096 2010-02-04 10:15 ..

lrwxrwxrwx  1 root root      12 2010-02-04 10:15 conf -> /etc/tomcat6

lrwxrwxrwx  1 root root      17 2010-02-04 10:15 logs -> ../../log/tomcat6

drwxrwxr-x  4 root tomcat6 4096 2010-02-04 15:02 webapps

lrwxrwxrwx  1 root root      19 2010-02-04 10:15 work -> ../../cache/tomcat6

ls -la /usr/share/tomcat6
total 20

drwxr-xr-x   5 root root 4096 2010-02-04 10:15 .

drwxr-xr-x 120 root root 4096 2010-02-04 15:02 ..

drwxr-xr-x   2 root root 4096 2010-02-04 10:15 bin

drwxr-xr-x   2 root root 4096 2010-02-04 10:15 lib

drwxr-xr-x   3 root root 4096 2010-02-04 10:15 webapps

#2 - 2010-08-05 22:04 - Matthew Jones

- Status changed from New to Closed

Fixed in the course of CN upgrades.

#3 - 2010-10-27 16:12 - Dave Vieglais

- Category changed from d1_cn_buildout to d1_cn_service
